/* Some CSS from CKAN core that we still need */

/* additional bicons */

:root {
  --dpicon-arrow-left: url("data:image/svg+xml;utf8,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20viewBox%3D%220%200%20448%20512%22%3E%3C%21--%21Font%20Awesome%20Free%206.7.2%20by%20%40fontawesome%20-%20https%3A//fontawesome.com%20License%20-%20https%3A//fontawesome.com/license/free%20Copyright%202025%20Fonticons%2C%20Inc.--%3E%3Cpath%20d%3D%22M257.5%20445.1l-22.2%2022.2c-9.4%209.4-24.6%209.4-33.9%200L7%20273c-9.4-9.4-9.4-24.6%200-33.9L201.4%2044.7c9.4-9.4%2024.6-9.4%2033.9%200l22.2%2022.2c9.5%209.5%209.3%2025-.4%2034.3L136.6%20216H424c13.3%200%2024%2010.7%2024%2024v32c0%2013.3-10.7%2024-24%2024H136.6l120.5%20114.8c9.8%209.3%2010%2024.8%20.4%2034.3z%22/%3E%3C/svg%3E");
  --dpicon-pen: url("data:image/svg+xml;utf8,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20viewBox%3D%220%200%20512%20512%22%3E%3C%21--%21Font%20Awesome%20Free%206.7.2%20by%20%40fontawesome%20-%20https%3A//fontawesome.com%20License%20-%20https%3A//fontawesome.com/license/free%20Copyright%202025%20Fonticons%2C%20Inc.--%3E%3Cpath%20d%3D%22M290.7%2093.2l128%20128-278%20278-114.1%2012.6C11.4%20513.5-1.6%20500.6%20.1%20485.3l12.7-114.2%20277.9-277.9zm207.2-19.1l-60.1-60.1c-18.8-18.8-49.2-18.8-67.9%200l-56.6%2056.6%20128%20128%2056.6-56.6c18.8-18.8%2018.8-49.2%200-67.9z%22/%3E%3C/svg%3E");
  --dpicon-plus: url("data:image/svg+xml;utf8,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20viewBox%3D%220%200%20448%20512%22%3E%3C%21--%21Font%20Awesome%20Free%206.7.2%20by%20%40fontawesome%20-%20https%3A//fontawesome.com%20License%20-%20https%3A//fontawesome.com/license/free%20Copyright%202025%20Fonticons%2C%20Inc.--%3E%3Cpath%20d%3D%22M416%20208H272V64c0-17.7-14.3-32-32-32h-32c-17.7%200-32%2014.3-32%2032v144H32c-17.7%200-32%2014.3-32%2032v32c0%2017.7%2014.3%2032%2032%2032h144v144c0%2017.7%2014.3%2032%2032%2032h32c17.7%200%2032-14.3%2032-32V304h144c17.7%200%2032-14.3%2032-32v-32c0-17.7-14.3-32-32-32z%22/%3E%3C/svg%3E");
  --dpicon-trash: url("data:image/svg+xml;utf8,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20viewBox%3D%220%200%20448%20512%22%3E%3C%21--%21Font%20Awesome%20Free%206.7.2%20by%20%40fontawesome%20-%20https%3A//fontawesome.com%20License%20-%20https%3A//fontawesome.com/license/free%20Copyright%202025%20Fonticons%2C%20Inc.--%3E%3Cpath%20d%3D%22M268%20416h24a12%2012%200%200%200%2012-12V188a12%2012%200%200%200%20-12-12h-24a12%2012%200%200%200%20-12%2012v216a12%2012%200%200%200%2012%2012zM432%2080h-82.4l-34-56.7A48%2048%200%200%200%20274.4%200H173.6a48%2048%200%200%200%20-41.2%2023.3L98.4%2080H16A16%2016%200%200%200%200%2096v16a16%2016%200%200%200%2016%2016h16v336a48%2048%200%200%200%2048%2048h288a48%2048%200%200%200%2048-48V128h16a16%2016%200%200%200%2016-16V96a16%2016%200%200%200%20-16-16zM171.8%2050.9A6%206%200%200%201%20177%2048h94a6%206%200%200%201%205.2%202.9L293.6%2080H154.4zM368%20464H80V128h288zm-212-48h24a12%2012%200%200%200%2012-12V188a12%2012%200%200%200%20-12-12h-24a12%2012%200%200%200%20-12%2012v216a12%2012%200%200%200%2012%2012z%22/%3E%3C/svg%3E");
  --dpicon-sitemap: url("data:image/svg+xml;utf8,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20viewBox%3D%220%200%20640%20512%22%3E%3C%21--%21Font%20Awesome%20Free%206.7.2%20by%20%40fontawesome%20-%20https%3A//fontawesome.com%20License%20-%20https%3A//fontawesome.com/license/free%20Copyright%202025%20Fonticons%2C%20Inc.--%3E%3Cpath%20d%3D%22M128%20352H32c-17.7%200-32%2014.3-32%2032v96c0%2017.7%2014.3%2032%2032%2032h96c17.7%200%2032-14.3%2032-32v-96c0-17.7-14.3-32-32-32zm-24-80h192v48h48v-48h192v48h48v-57.6c0-21.2-17.2-38.4-38.4-38.4H344v-64h40c17.7%200%2032-14.3%2032-32V32c0-17.7-14.3-32-32-32H256c-17.7%200-32%2014.3-32%2032v96c0%2017.7%2014.3%2032%2032%2032h40v64H94.4C73.2%20224%2056%20241.2%2056%20262.4V320h48v-48zm264%2080h-96c-17.7%200-32%2014.3-32%2032v96c0%2017.7%2014.3%2032%2032%2032h96c17.7%200%2032-14.3%2032-32v-96c0-17.7-14.3-32-32-32zm240%200h-96c-17.7%200-32%2014.3-32%2032v96c0%2017.7%2014.3%2032%2032%2032h96c17.7%200%2032-14.3%2032-32v-96c0-17.7-14.3-32-32-32z%22/%3E%3C/svg%3E");
  --dpicon-key: url("data:image/svg+xml;utf8,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20viewBox%3D%220%200%20512%20512%22%3E%3C%21--%21Font%20Awesome%20Free%206.7.2%20by%20%40fontawesome%20-%20https%3A//fontawesome.com%20License%20-%20https%3A//fontawesome.com/license/free%20Copyright%202025%20Fonticons%2C%20Inc.--%3E%3Cpath%20d%3D%22M512%20176C512%20273.2%20433.2%20352%20336%20352c-11.2%200-22.2-1.1-32.8-3.1l-24%2027A24%2024%200%200%201%20261.2%20384H224v40c0%2013.3-10.7%2024-24%2024h-40v40c0%2013.3-10.7%2024-24%2024H24c-13.3%200-24-10.7-24-24v-78.1c0-6.4%202.5-12.5%207-17l161.8-161.8C163.1%20213.8%20160%20195.3%20160%20176%20160%2078.8%20238.8%200%20336%200%20433.5%200%20512%2078.5%20512%20176zM336%20128c0%2026.5%2021.5%2048%2048%2048s48-21.5%2048-48-21.5-48-48-48-48%2021.5-48%2048z%22/%3E%3C/svg%3E");
  --dpicon-tags: url("data:image/svg+xml;utf8,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20viewBox%3D%220%200%20640%20512%22%3E%3C%21--%21Font%20Awesome%20Free%206.7.2%20by%20%40fontawesome%20-%20https%3A//fontawesome.com%20License%20-%20https%3A//fontawesome.com/license/free%20Copyright%202025%20Fonticons%2C%20Inc.--%3E%3Cpath%20d%3D%22M497.9%20225.9L286.1%2014.1A48%2048%200%200%200%20252.1%200H48C21.5%200%200%2021.5%200%2048v204.1a48%2048%200%200%200%2014.1%2033.9l211.9%20211.9c18.7%2018.7%2049.1%2018.7%2067.9%200l204.1-204.1c18.7-18.7%2018.7-49.1%200-67.9zM112%20160c-26.5%200-48-21.5-48-48s21.5-48%2048-48%2048%2021.5%2048%2048-21.5%2048-48%2048zm513.9%20133.8L421.8%20497.9c-18.7%2018.7-49.1%2018.7-67.9%200l-.4-.4L527.6%20323.5c17-17%2026.4-39.6%2026.4-63.6s-9.4-46.6-26.4-63.6L331.4%200h48.7a48%2048%200%200%201%2033.9%2014.1l211.9%20211.9c18.7%2018.7%2018.7%2049.1%200%2067.9z%22/%3E%3C/svg%3E");
  --dpicon-clock: url("data:image/svg+xml;utf8,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20viewBox%3D%220%200%20512%20512%22%3E%3C%21--%21Font%20Awesome%20Free%206.7.2%20by%20%40fontawesome%20-%20https%3A//fontawesome.com%20License%20-%20https%3A//fontawesome.com/license/free%20Copyright%202025%20Fonticons%2C%20Inc.--%3E%3Cpath%20d%3D%22M256%208C119%208%208%20119%208%20256s111%20248%20248%20248%20248-111%20248-248S393%208%20256%208zm0%20448c-110.5%200-200-89.5-200-200S145.5%2056%20256%2056s200%2089.5%20200%20200-89.5%20200-200%20200zm61.8-104.4l-84.9-61.7c-3.1-2.3-4.9-5.9-4.9-9.7V116c0-6.6%205.4-12%2012-12h32c6.6%200%2012%205.4%2012%2012v141.7l66.8%2048.6c5.4%203.9%206.5%2011.4%202.6%2016.8L334.6%20349c-3.9%205.3-11.4%206.5-16.8%202.6z%22/%3E%3C/svg%3E");
  --dpicon-bars: url("data:image/svg+xml;utf8,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20viewBox%3D%220%200%20448%20512%22%3E%3C%21--%21Font%20Awesome%20Free%206.7.2%20by%20%40fontawesome%20-%20https%3A//fontawesome.com%20License%20-%20https%3A//fontawesome.com/license/free%20Copyright%202025%20Fonticons%2C%20Inc.--%3E%3Cpath%20d%3D%22M16%20132h416c8.8%200%2016-7.2%2016-16V76c0-8.8-7.2-16-16-16H16C7.2%2060%200%2067.2%200%2076v40c0%208.8%207.2%2016%2016%2016zm0%20160h416c8.8%200%2016-7.2%2016-16v-40c0-8.8-7.2-16-16-16H16c-8.8%200-16%207.2-16%2016v40c0%208.8%207.2%2016%2016%2016zm0%20160h416c8.8%200%2016-7.2%2016-16v-40c0-8.8-7.2-16-16-16H16c-8.8%200-16%207.2-16%2016v40c0%208.8%207.2%2016%2016%2016z%22/%3E%3C/svg%3E");
  --dpicon-edit: url("data:image/svg+xml;utf8,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20viewBox%3D%220%200%20576%20512%22%3E%3C%21--%21Font%20Awesome%20Free%206.7.2%20by%20%40fontawesome%20-%20https%3A//fontawesome.com%20License%20-%20https%3A//fontawesome.com/license/free%20Copyright%202025%20Fonticons%2C%20Inc.--%3E%3Cpath%20d%3D%22M402.6%2083.2l90.2%2090.2c3.8%203.8%203.8%2010%200%2013.8L274.4%20405.6l-92.8%2010.3c-12.4%201.4-22.9-9.1-21.5-21.5l10.3-92.8L388.8%2083.2c3.8-3.8%2010-3.8%2013.8%200zm162-22.9l-48.8-48.8c-15.2-15.2-39.9-15.2-55.2%200l-35.4%2035.4c-3.8%203.8-3.8%2010%200%2013.8l90.2%2090.2c3.8%203.8%2010%203.8%2013.8%200l35.4-35.4c15.2-15.3%2015.2-40%200-55.2zM384%20346.2V448H64V128h229.8c3.2%200%206.2-1.3%208.5-3.5l40-40c7.6-7.6%202.2-20.5-8.5-20.5H48C21.5%2064%200%2085.5%200%20112v352c0%2026.5%2021.5%2048%2048%2048h352c26.5%200%2048-21.5%2048-48V306.2c0-10.7-12.9-16-20.5-8.5l-40%2040c-2.2%202.3-3.5%205.3-3.5%208.5z%22/%3E%3C/svg%3E");
  --dpicon-info-circle: url("data:image/svg+xml;utf8,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20viewBox%3D%220%200%20512%20512%22%3E%3C%21--%21Font%20Awesome%20Free%206.7.2%20by%20%40fontawesome%20-%20https%3A//fontawesome.com%20License%20-%20https%3A//fontawesome.com/license/free%20Copyright%202025%20Fonticons%2C%20Inc.--%3E%3Cpath%20d%3D%22M256%208C119%208%208%20119.1%208%20256c0%20137%20111%20248%20248%20248s248-111%20248-248C504%20119.1%20393%208%20256%208zm0%20110c23.2%200%2042%2018.8%2042%2042s-18.8%2042-42%2042-42-18.8-42-42%2018.8-42%2042-42zm56%20254c0%206.6-5.4%2012-12%2012h-88c-6.6%200-12-5.4-12-12v-24c0-6.6%205.4-12%2012-12h12v-64h-12c-6.6%200-12-5.4-12-12v-24c0-6.6%205.4-12%2012-12h64c6.6%200%2012%205.4%2012%2012v100h12c6.6%200%2012%205.4%2012%2012v24z%22/%3E%3C/svg%3E");
  --dpicon-users: url("data:image/svg+xml;utf8,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20viewBox%3D%220%200%20640%20512%22%3E%3C%21--%21Font%20Awesome%20Free%206.7.2%20by%20%40fontawesome%20-%20https%3A//fontawesome.com%20License%20-%20https%3A//fontawesome.com/license/free%20Copyright%202025%20Fonticons%2C%20Inc.--%3E%3Cpath%20d%3D%22M96%20224c35.3%200%2064-28.7%2064-64s-28.7-64-64-64-64%2028.7-64%2064%2028.7%2064%2064%2064zm448%200c35.3%200%2064-28.7%2064-64s-28.7-64-64-64-64%2028.7-64%2064%2028.7%2064%2064%2064zm32%2032h-64c-17.6%200-33.5%207.1-45.1%2018.6%2040.3%2022.1%2068.9%2062%2075.1%20109.4h66c17.7%200%2032-14.3%2032-32v-32c0-35.3-28.7-64-64-64zm-256%200c61.9%200%20112-50.1%20112-112S381.9%2032%20320%2032%20208%2082.1%20208%20144s50.1%20112%20112%20112zm76.8%2032h-8.3c-20.8%2010-43.9%2016-68.5%2016s-47.6-6-68.5-16h-8.3C179.6%20288%20128%20339.6%20128%20403.2V432c0%2026.5%2021.5%2048%2048%2048h288c26.5%200%2048-21.5%2048-48v-28.8c0-63.6-51.6-115.2-115.2-115.2zm-223.7-13.4C161.5%20263.1%20145.6%20256%20128%20256H64c-35.3%200-64%2028.7-64%2064v32c0%2017.7%2014.3%2032%2032%2032h65.9c6.3-47.4%2034.9-87.3%2075.2-109.4z%22/%3E%3C/svg%3E");
}

.dp-button-arrow-left:after {
  -webkit-mask-image: var(--dpicon-arrow-left);
  mask-image: var(--dpicon-arrow-left);
}

.dp-button-pen:after {
  -webkit-mask-image: var(--dpicon-pen);
  mask-image: var(--dpicon-pen);
}

.dp-button-plus:after {
  -webkit-mask-image: var(--dpicon-plus);
  mask-image: var(--dpicon-plus);
}  

.dp-button-trash:after {
  -webkit-mask-image: var(--dpicon-trash);
  mask-image: var(--dpicon-trash);
}

.dp-button-key:after {
  -webkit-mask-image: var(--dpicon-key);
  mask-image: var(--dpicon-key);
}

.bicon-sitemap:before {
    -webkit-mask-image: var(--dpicon-sitemap);
    mask-image: var(--dpicon-sitemap);
}

.bicon-tags:before {
    -webkit-mask-image: var(--dpicon-tags);
    mask-image: var(--dpicon-tags);
}

.bicon-clock:before {
    -webkit-mask-image: var(--dpicon-clock);
    mask-image: var(--dpicon-clock);
}

.bicon-key:before {
    -webkit-mask-image: var(--dpicon-key);
    mask-image: var(--dpicon-key);
}

.bicon-bars:before {
    -webkit-mask-image: var(--dpicon-bars);
    mask-image: var(--dpicon-bars);
}

.bicon-edit:before {
    -webkit-mask-image: var(--dpicon-edit);
    mask-image: var(--dpicon-edit);
}

.bicon-info-circle:before {
    -webkit-mask-image: var(--dpicon-info-circle);
    mask-image: var(--dpicon-info-circle);
}

.bicon-users:before {
    -webkit-mask-image: var(--dpicon-users);
    mask-image: var(--dpicon-users);
}

.dr-visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  padding: 0;
  overflow: hidden;
  clip: rect(0 0 0 0);
  white-space: nowrap;
  border: 0;
}

button.remove:after {
  margin-left: 0.3em;
  line-height: 1;
  vertical-align: -1px;
  content: "";
  background-color: currentColor;
  display: inline-block;
  overflow: hidden;
  width: 0.8em;
  height: 0.8em;
  -webkit-mask-repeat: no-repeat;
  mask-repeat: no-repeat;
  -webkit-mask-position-x: center;
  -webkit-mask-position-y: bottom;
  mask-position: bottom center;
  -webkit-mask-image: var(--dpicon-trash);
  mask-image: var(--dpicon-trash);
}

/* object fit */

.modul-teaser .image img {
  background-color: #f5f5f5;
  height: 100%;
}

img.cover, .activity.cover img {
  object-fit: cover;
}

img.contain, .activity.contain img {
  object-fit: contain;
}

/* Infofigures */

.modul-infofigures .infofigure .title {
  /* This should already be set. But somehow, when we're
  using infofigures in a modul-text_bild, it's not. */
  width: 100%;
}

/* Follow-Button */

.follow_button a.button--fulltone {
  /* we're using a link here, not an actual button, so the color needs to be adjusted */
  color: #ffffff;
}

.dr-center {
  display: flex;
  justify-content: center;
}

/* Content Actions */

@media print,(max-width: 73.8135rem ) {
  .dr-content-action-wrapper {
    justify-content: flex-start;
  }
}

@media print,(min-width: 73.8135rem ) {
  .dr-content-action-wrapper {
    justify-content: flex-end;
  }
}

.dr-content-action-wrapper {
  margin-bottom: 20px;
  display: flex;
}

/* Forms */

.dr-form-element {
  display: flex;
}

.dr-form-element a {
  padding-left: 15px;
}

.dr-form-element .select2-container {
  width: 100% !important;
}

.dr-input-wrapper {
  width: 100%;
}

.dr-input-wrapper .slug-preview {
  margin-top: 5px;
}

form.dr-add-group>.form-group {
  justify-content: space-between;
}

form.dr-add-group .dr-select {
  flex-grow: 3;
}


/* New dataset */

.dr-stages-wrapper {
  margin-bottom: 20px;
}

.stages li.active {
  font-weight: bold;
}  

/* Hero search */

.dr-hero-search {
  margin-top: 20px;
}

.dr-hero-search .page_primary_action {
  margin-bottom: 20px;
}

.dp-search-result-sort {
  min-width: 250px;
}

/* Dataset search page */

@media screen and (max-width: 37.5rem) {
  .fullwidth.panel--heavy {
    margin-left: -12px;
    margin-right: -12px;
    width: auto !important;
    max-width: 100vw !important;
  }
}

@media print, (min-width: 73.8135rem) {
  .fullwidth.panel--heavy {
    position: relative;
    z-index: 0;
    left: 50%;
    right: auto;
    width: 100vw;
    margin-left: -50vw;
    margin-right: auto;
    overflow: hidden;
  }

  .fullwidth>.fullwidth__inner:not(.keep-fullwidth) {
    width: 980px;
    max-width: 100%;
    margin: 0 auto;
  }
}

.js .js-hide {
    display: none;
}

.show-filters.btn, .hide-filters {
    display: none;
}

#dataset-search-form .searchterm, #organization-search-form .searchterm, #group-search-form .searchterm {
    margin-bottom: 50px;
}

.dp-search-result-top {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.dp-search-result-summary {
    font-size: 16px;
    line-height: 24px;
    font-family: Arial, sans-serif;
    color: rgb(0, 0, 0);
    font-weight: 700;
    flex-grow: 1;
}

.dr-facet-head-container {
  display: flex;
  align-items: center;
}

.facet a.qmark-icon {
  margin-left: 10px;
}

/* Dataset Page */

.textbildbreit .dataset img {
  max-height: 450px;
}

.dp-undefined {
  font-style: italic;
}

.follow_button i {
  display: none;
}

/* Dataset cards */

.dp-dataset-metadatum {
    margin-block-start: 1em;
    margin-block-end: 1em;
  }
  
  .dp-dataset-metadatum__row {
    display: flex;
    column-gap: 10px;
  }
  
  .dp-dataset-metadatum__header {
    font-size: 11px;
    color: #454545;
    margin-bottom: 6px;
  }
  
  .dp-dataset-metadatum__body {
    font-size: 14px;
  }
  
  .dp-resource-header {
    display: flex;
    justify-content: space-between;
  }
  
  .dp-resource-icon-list {
    display: flex;
    flex-wrap: wrap;
    column-gap: 8px;
    row-gap: 10px;
  }
  
  .dp-resource-icon-mini {
    height: 23px;
    background-color: #DDDDDD;
    border-top: solid 4px;
    height: 19px;
    padding: 0px 5px 0px 5px;
    display: flex;
    align-items: center;
  }
  
  .dp-resource-icon-label {
    color: #454545;
    font-family: "Courier New";
    font-size: 14px;
    font-weight: bold;
    letter-spacing: 0.3px;
  }
  
  .dp-resource-icon-mini.dp-resource-tabular {
    border-top-color: #96B223; /* lime 500 */
  }
  .dp-resource-icon-mini.dp-resource-gis {
    border-top-color: #0396B7; /* cyan 600 */
  }
  .dp-resource-icon-mini.dp-resource-textual {
    border-top-color: #F61C35; /* red 500 */
  }
  .dp-resource-icon-mini.dp-resource-website {
    border-top-color: #FCC832; /* amber 400 */
  }
  .dp-resource-icon-mini.dp-resource-feed {
    border-top-color: #EC7AA0; /* fuchsia 400 */
  }
  .dp-resource-icon-mini.dp-resource-tree {
    border-top-color: #F5A00C; /* amber 500 */
  }
  .dp-resource-icon-mini.dp-resource-3d {
    border-top-color: aqua;
  }
  .dp-resource-icon-mini.dp-resource-transport {
    border-top-color: darkslategray;
  }
  .dp-resource-icon-mini.dp-resource-api {
    border-top-color: #9380CC; /* violet 500 */
  }
  .dp-resource-icon-mini.dp-resource-archive {
    border-top-color: fuchsia;
  }
  .dp-resource-icon-mini.dp-resource-bitmap {
    border-top-color: dodgerblue;
  }
  .dp-resource-icon-mini.dp-resource-generic {
    border-top-color: wheat;
  }

/* Organizations */

.panel--heavy .teasertile, .panel--heavy .modul-teasertile {
  background-color: #fff;
}

.teasertile .inner, .modul-teasertile .inner {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

/* Users */

.dr-user-info {
  display: flex;
  gap: 20px;
}

@media screen and (max-width: 37.5rem) {
  .dr-user-info {
    flex-direction: column;
  }
}

/* Tabs, where the content is not on the same page but on other pages.

The `js-tabs` class needs to be to be removed and all aria-attributes and roles need to be
added manually. */

a.dr-tab-link {
  color: inherit;
  text-decoration: inherit;
}

.modul-tabs.dr-fake-tabs {
  margin-top: 10px;
  margin-bottom: 0px;
}

.button-margin {
  margin-left: 10px;
}

/* Activity lists */

.activity {
  padding: 0;
  list-style-type: none;
  background: transparent url('../../base/images/dotted.png') 14px 0 repeat-y;
}
.activity .item {
  position: relative;
  margin: 0 0 15px 0;
  padding: 0;
}
.activity .item:before,
.activity .item:after {
  display: table;
  content: " ";
}
.activity .item:after {
  clear: both;
}
.activity .item:before,
.activity .item:after {
  display: table;
  content: " ";
}
.activity .item:after {
  clear: both;
}
.activity .item .icon {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 30px;
  height: 30px;
  line-height: 30px;
  text-align: center;
  color: #FFFFFF;
  text-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);
  font-weight: normal;
  margin-right: 10px;
  border-radius: 100px;
  -webkit-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.2);
  box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.2);
}
.activity .item .user-image {
  border-radius: 100px;
}
.activity .item .actor .user-image {
  position: absolute;
  top: 0;
  left: 40px;
}
.activity .item p {
  font-size: 14px;
  line-height: 1.5;
  margin: 5px 0 0 80px;
}
.activity .item .date {
  color: #999;
  font-size: 12px;
  white-space: nowrap;
}
.activity .item .new {
  display: block;
  position: absolute;
  overflow: hidden;
  top: -3px;
  left: -3px;
  width: 10px;
  height: 10px;
  background-color: #A35647;
  border: 1px solid #FFF;
  text-indent: -1000px;
  border-radius: 100px;
  -webkit-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);
}
.activity .item.no-avatar p {
  margin-left: 40px;
}
.activity .load-less {
  margin-bottom: 15px;
}
.activity .item .icon {
  background-color: #999999;
}
.activity .item.failure .icon {
  background-color: #B95252;
}
.activity .item.success .icon {
  background-color: #69A67A;
}
.activity .item.added-tag .icon {
  background-color: #6995a6;
}
.activity .item.changed-group .icon {
  background-color: #767DCE;
}
.activity .item.changed-package .icon {
  background-color: #8c76ce;
}
.activity .item.changed-package_extra .icon {
  background-color: #769ace;
}
.activity .item.changed-resource .icon {
  background-color: #aa76ce;
}
.activity .item.changed-user .icon {
  background-color: #76b8ce;
}
.activity .item.changed-organization .icon {
  background-color: #699fa6;
}
.activity .item.deleted-group .icon {
  background-color: #B95252;
}
.activity .item.deleted-package .icon {
  background-color: #b97452;
}
.activity .item.deleted-package_extra .icon {
  background-color: #b95274;
}
.activity .item.deleted-resource .icon {
  background-color: #b99752;
}
.activity .item.deleted-organization .icon {
  background-color: #b95297;
}
.activity .item.new-group .icon {
  background-color: #69A67A;
}
.activity .item.new-package .icon {
  background-color: #69a68e;
}
.activity .item.new-package_extra .icon {
  background-color: #6ca669;
}
.activity .item.new-resource .icon {
  background-color: #81a669;
}
.activity .item.new-user .icon {
  background-color: #69a6a3;
}
.activity .item.new-organization .icon {
  background-color: #81a669;
}
.activity .item.removed-tag .icon {
  background-color: #b95297;
}
.activity .item.deleted-related-item .icon {
  background-color: #b9b952;
}
.activity .item.follow-dataset .icon {
  background-color: #767DCE;
}
.activity .item.follow-user .icon {
  background-color: #8c76ce;
}
.activity .item.new-related-item .icon {
  background-color: #95a669;
}
.activity .item.follow-group .icon {
  background-color: #8ba669;
}

/* flash messages */

.flash-messages {
  margin-top: 25px;
}

.flash-messages .message {
  display: flex;
  justify-content: space-between;
}

.alert-error {
  background-color: #fdecee;
  border-color: #fdecee;
  color: #9b0000;
}

.alert-info {
  background-color: #ebf1f7;
  border-color: #ebf1f7;
}

.alert-success {
    background-color: #e2f1eb;
    border-color: #e2f1eb;
    color: #000;
}

.close {
  float: right;
  font-size: 21px;
  font-weight: bold;
  line-height: 1;
  color: #000;
  text-shadow: 0 1px 0 #fff;
  filter: alpha(opacity=20);
  opacity: 0.2;
}

.modal-open {
  overflow: hidden;
}
.modal {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1050;
  display: none;
  overflow: hidden;
  -webkit-overflow-scrolling: touch;
  outline: 0;
}
.modal.fade .modal-dialog {
  -webkit-transform: translate(0, -25%);
  -ms-transform: translate(0, -25%);
  -o-transform: translate(0, -25%);
  transform: translate(0, -25%);
  -webkit-transition: -webkit-transform 0.3s ease-out;
  -moz-transition: -moz-transform 0.3s ease-out;
  -o-transition: -o-transform 0.3s ease-out;
  transition: transform 0.3s ease-out;
}
.modal.in .modal-dialog {
  -webkit-transform: translate(0, 0);
  -ms-transform: translate(0, 0);
  -o-transform: translate(0, 0);
  transform: translate(0, 0);
}
.modal-open .modal {
  overflow-x: hidden;
  overflow-y: auto;
}
.modal-dialog {
  position: relative;
  width: auto;
  margin: 10px;
}
.modal-content {
  position: relative;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #999;
  border: 1px solid rgba(0, 0, 0, 0.2);
  border-radius: 6px;
  -webkit-box-shadow: 0 3px 9px rgba(0, 0, 0, 0.5);
  box-shadow: 0 3px 9px rgba(0, 0, 0, 0.5);
  outline: 0;
}
.modal-backdrop {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1040;
  background-color: #000;
}
.modal-backdrop.fade {
  filter: alpha(opacity=0);
  opacity: 0;
}
.modal-backdrop.in {
  filter: alpha(opacity=50);
  opacity: 0.5;
}
.modal-header {
  padding: 15px;
  border-bottom: 1px solid #e5e5e5;
}
.modal-header .close {
  margin-top: -2px;
}
.modal-title {
  margin: 0;
  line-height: 1.42857143;
}
.modal-body {
  position: relative;
  padding: 15px;
}
.modal-footer {
  padding: 15px;
  text-align: right;
  border-top: 1px solid #e5e5e5;
}
.modal-footer .btn + .btn {
  margin-bottom: 0;
  margin-left: 5px;
}
.modal-footer .btn-group .btn + .btn {
  margin-left: -1px;
}
.modal-footer .btn-block + .btn-block {
  margin-left: 0;
}
.modal-scrollbar-measure {
  position: absolute;
  top: -9999px;
  width: 50px;
  height: 50px;
  overflow: scroll;
}
@media (min-width: 768px) {
  .modal-dialog {
    width: 600px;
    margin: 30px auto;
  }
  .modal-content {
    -webkit-box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
  }
  .modal-sm {
    width: 300px;
  }
}
@media (min-width: 992px) {
  .modal-lg {
    width: 900px;
  }
}

.berlin-header-action-group {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 20px;
}

.berlin-h1-flex {
  margin: 0;
  flex: 1;
}

.card__functions {
  display: flex;
  order: 1;
  align-self: flex-end;
  margin-top: -9px;
  margin-right: -18px;
  margin-bottom: 8px;
}

.berlin_no_background {
  background: none;
}

.btn-margin {
  margin-bottom: 20px;
}

.harvest_ul {
  display: ruby;
  list-style: none;
}

.berlin_no_margin_bottom {
    margin-bottom: 0 !important;
}

.list-unstyled {
  margin: 0;
  list-style: none;
}

.content_action {
  float: right;
  margin-top: 10px;
}

.berlin_form_display_inline_block {
  display: inline-block;
}

/* Diffs */

#metadata_diff {
  margin-top: 15px;
}

.diffs {
  display: grid;
  grid-template-columns:
    auto   /* current next */
    auto   /* current index */
    1fr    /* current content */
    auto   /* incoming next */
    auto   /* incoming index */
    1fr;   /* incoming content */
    border-top: 1px solid var(--color-border);
    border-right: 1px solid var(--color-border);
}

/* place cells */
.diff_current {
  grid-column: 1 / span 3;
}

.diff_incoming {
  grid-column: 4 / span 3;
}

/* subgrid for internal layout */
.diff_cell {
  display: grid;
  grid-template-columns: subgrid;
  grid-column-gap: 1px;
  grid-row-gap: 1px;
  border-bottom: 1px solid var(--color-border);
  border-left: 1px solid var(--color-border);
}


/* ensure internal items map to the columns */
.diff_next   { grid-column: 1; }
.diff_index  { grid-column: 2; }
.diff_content {
  grid-column: 3;
  font-family: monospace;
  white-space: pre-wrap;
  overflow-wrap: anywhere;
}

.diff_subcell {
  padding: 2px 4px;
}

.diff_incoming .diff_next::before {
  content: "→";
  margin-right: .3rem;
  opacity: 0.6;
}

.diff_content:has(.diff_add) {
  background-color: var(--color-message-success);
}

.diff_content:has(.diff_sub) {
  background-color: var(--color-message-error);
}

.diff_content:has(.diff_chg) {
  background-color: var(--color-message-info);
}

.diff_add, .diff_sub, .diff_chg {
  font-weight: bold;
}

@media (max-width: 920px) {

  .diffs {
    grid-template-columns: auto auto minmax(0,1fr);
  }

  .diff_current,
  .diff_incoming {
    grid-column: 1 / span 3;
  }

  .diff_incoming .diff_next::before {
    content: "↳";
    margin-right: .3rem;
    opacity: 0.6;
  }
}

/* Multiteaser for organizations and groups.
  The teaser elements have titles, but no text content beneath them in `.inner`. 
  That's why the h3 elements were flagged as confusing in a11y testing.
  We reproduce the h3 style on a class instead. */

.dr-multiteaser-title {
  font-size: 1.0625em;
  margin-bottom: 0.4em;
  line-height: 1.353em;
  color: #000000;
  font-weight: 700;
}

/* various */

.dr-bottom-spacer {
  margin-bottom: 50px;
}

.dr-no-bottom-spacer {
  margin-bottom: 0;
}